package info.kofler.imgtst

import android.graphics.drawable.Drawable
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import info.kofler.imgtst.databinding.ActivityMainBinding
import kotlinx.coroutines.*
import java.io.InputStream
import java.net.URL


class MainActivity : AppCompatActivity(), CoroutineScope by MainScope() {

    private lateinit var binding: ActivityMainBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)

        binding.mybutton.setOnClickListener {
            // imageView2.setImageResource(R.drawable.baden_wurttemberg)

            // im Hintergrund Foto herunterladen
            launch(Dispatchers.IO) {
                try {
                    val url = URL("https://kofler.info/uploads/foto.jpg")
                    val imgdata = url.content as InputStream
                    val draw = Drawable.createFromStream(imgdata, "foto")
                    // im UI-Thread imageView aktualisieren
                    launch(Dispatchers.Main) {
                        binding.imageView2.setImageDrawable(draw)
                    }
                } catch (e: Exception) {
                    Log.e("xxx", "Fehler $e")
                }
            }
        } // Ende onClickListener


        binding.imageView1.setOnClickListener {
            Log.i("xxx", "Touch auf Image 1")
        }
        binding.imageView1.setOnLongClickListener {
            Log.i("xxx", "Langer Touch auf Image 1")
            true
        }
    }
}
