package info.kofler.preferences

import android.app.Activity
import android.content.Context
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.inputmethod.InputMethodManager
import info.kofler.preferences.databinding.ActivityMainBinding
// import kotlinx.android.synthetic.main.activity_main.*
import java.time.LocalDateTime

class MainActivity : AppCompatActivity() {
    private lateinit var binding: ActivityMainBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)
        loadData()

        binding.btnSave.setOnClickListener {
            saveData()
            binding.lblStatus.text = "Gespeichert: ${LocalDateTime.now()}"
            val imm = applicationContext
                .getSystemService(Activity.INPUT_METHOD_SERVICE)
                    as InputMethodManager
            imm.hideSoftInputFromWindow(binding.btnSave.windowToken, 0)
        }

        // val tst = getSharedPreferences("bla", Context.MODE_PRIVATE)
        // tst.edit().putString("key", "value").apply()


    }

    fun saveData() {
        val edit = getPreferences(Context.MODE_PRIVATE).edit()
        edit.putString("txt1", binding.editTxt1.text.toString())
        edit.putString("txt2", binding.editTxt2.text.toString())
        edit.putString("savedate", LocalDateTime.now().toString())
        edit.apply()
    }
    fun loadData() {
        val pref = getPreferences(Context.MODE_PRIVATE)
        binding.editTxt1.setText(pref.getString("txt1", "") ?: "")
        binding.editTxt2.setText(pref.getString("txt2", "") ?: "")
        val savedate = pref.getString("savedate", "") ?: ""
        if (savedate.isNotBlank())
            binding.lblStatus.text = "Werte von $savedate"
    }

    override fun onDestroy() {
        super.onDestroy()
        saveData()
    }
}