package info.kofler.recycler

import android.content.Context
import android.util.Log
import android.view.LayoutInflater
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import info.kofler.recycler.databinding.RecycItemBinding

// verweist auf recyc_item.xml -> Binding-Klasse RecycItemBinding

// nimmt ein Listenelement auf
class MyViewHolder(binding: RecycItemBinding)
    : RecyclerView.ViewHolder(binding.root)
{
    val itmText: TextView = binding.txtItem
}

// füllt die RecycleView mit Daten, wobei jedes Listenelement
// den Typ MyViewHolder hat
class MyRecyclerAdapter(private val items: List<String>,
                        private val context: Context)
    : RecyclerView.Adapter<MyViewHolder>() {
    // Anzahl der Einträge
    override fun getItemCount(): Int {
        return items.size
    }

    // erzeugt ein neues Listenelement; wird anfänglich so
    // oft aufgerufen, dass es genug Listenelemente gibt;
    // Daten werden erst in onBind... nachgereicht
    override fun onCreateViewHolder(parent: ViewGroup,
                                    viewType: Int): MyViewHolder {
        Log.i("xx", "onCreate")
        val binding = RecycItemBinding.inflate(LayoutInflater.from(parent.context), parent, false)
        return MyViewHolder(binding)
    }

    // verändert den Inhalt eines vorhandenen Listenelements
    override fun onBindViewHolder(holder: MyViewHolder,
                                  position: Int)
    {
        Log.i("xx", "onBind position=$position")
        holder.itmText.text = items[position]
    }
}
