package info.kofler.emptyfragments

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import androidx.navigation.findNavController
import androidx.navigation.ui.NavigationUI
import info.kofler.emptyfragments.databinding.ActivityMainBinding

class MainActivity : AppCompatActivity() {
    private lateinit var binding: ActivityMainBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)

        // Navigation Controller einrichten
        binding.fragHost.post {
            val navCtr = findNavController(R.id.fragHost)
            NavigationUI.setupActionBarWithNavController(this, navCtr)
        }
    }

    // Rückwärts-Navigation mit dem Up-Button
    override fun onSupportNavigateUp(): Boolean {
        val navCtr = findNavController(R.id.fragHost)
        return navCtr.navigateUp()
    }
}
