package info.kofler.menu

import android.os.Bundle
import android.util.Log
import android.view.*
import androidx.fragment.app.Fragment
import androidx.lifecycle.ViewModelProvider
import info.kofler.menu.databinding.FragmentF2Binding

class Fragment2 : Fragment() {
    private var _binding: FragmentF2Binding? = null
    // This property is only valid between onCreateView and
    // onDestroyView!
    private val binding get() = _binding!!
    
    private lateinit var mydata : MyData

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?): View?
    {
        Log.i("xxx", "onCreateView in Fragment2")


        // Zugriff auf Shared Data
        mydata = ViewModelProvider(requireActivity()).get(MyData::class.java)

        // Fragment erzeugen
        _binding = FragmentF2Binding.inflate(inflater, container, false)
        
        // Kontextmenü aktivieren
        registerForContextMenu(binding.root)

        // Daten aus Shared Data auslesen
        val txt1 = mydata.txt1.value
        val txt2 = mydata.txt2.value
        binding.txt12.text = "txt1=$txt1\ntxt2=$txt2"
        binding.edit3.setText(mydata.txt3.value)

        // Änderungen im Text sofort im Shared Data speichern
        val mtw = MyTextWatcher(binding.edit3, mydata.txt3)
        binding.edit3.addTextChangedListener(mtw)

        // neues Fragment zurückgeben
        return binding.root
    }

    // Kontextmenü erzeugen
    override fun onCreateContextMenu(
        menu: ContextMenu, v: View,
        menuInfo: ContextMenu.ContextMenuInfo?)
    {
        Log.i("xxx", "onCreateContextMenu in Fragment 2")

        super.onCreateContextMenu(menu, v, menuInfo)
        val inflater = MenuInflater(context)
        inflater.inflate(R.menu.menu2, menu)
    }

    // Reaktion auf Kontextmenüeintrag
    override fun onContextItemSelected(item: MenuItem): Boolean {
        Log.i("xxx", "onContextItemSelected in F2: " + item.title)
        return super.onOptionsItemSelected(item)
    }

}
