package info.kofler.viewmodel

import android.os.Bundle
import android.util.Log
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.lifecycle.ViewModelProvider
import androidx.navigation.findNavController
import info.kofler.viewmodel.databinding.FragmentF2Binding

class Fragment2 : Fragment() {
    private var _binding: FragmentF2Binding? = null
    // This property is only valid between onCreateView and
    // onDestroyView!
    private val binding get() = _binding!!

    private lateinit var mydata : MyData

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?): View?
    {
        Log.i("xxx", "onCreateView in Fragment2")

        // Zugriff auf Shared Data
        mydata = ViewModelProvider(requireActivity()).get(MyData::class.java)

        // Fragment erzeugen
        _binding = FragmentF2Binding.inflate(inflater, container, false)

        // Daten aus Shared Data auslesen
        val txt1 = mydata.txt1.value
        val txt2 = mydata.txt2.value
        binding.txt12.text = "txt1=$txt1\ntxt2=$txt2"
        binding.edit3.setText(mydata.txt3.value)

        // Änderungen im Text sofort im Shared Data speichern
        val mtw = MyTextWatcher(binding.edit3, mydata.txt3)
        binding.edit3.addTextChangedListener(mtw)

        // Next-Button
        binding.btnNext.setOnClickListener {
            val navContr = binding.root.findNavController()
            navContr.navigate(R.id.action_fragment2_to_fragment3)
        }

        // neues Fragment zurückgeben
        return binding.root
    }


}
