package info.kofler.viewmodel

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import androidx.lifecycle.ViewModelProvider
import androidx.navigation.findNavController
import androidx.navigation.ui.NavigationUI
import info.kofler.viewmodel.databinding.ActivityMainBinding

class MainActivity : AppCompatActivity() {

    private lateinit var binding: ActivityMainBinding
    private lateinit var mydata : MyData
    var rnd1 = Math.random()

    companion object {
        var rnd2 = Math.random()
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        Log.i("xxx", "onCreate in MainActivity")
        // Log.i("xxx", "onCreate in MainActivity, rnd1=$rnd1")
        // Log.i("xxx", "onCreate in MainActivity, rnd2=$rnd2")

        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)

        // Navigation Controller einrichten
        binding.root.post {
            val navController = this.findNavController(R.id.fragHost)
            NavigationUI.setupActionBarWithNavController(this, navController)
        }

        // View Model initialisieren (aber nur einmal!)
        mydata = ViewModelProvider(this).get(MyData::class.java)
        if (mydata.isInitialized == false) {
            mydata.txt1.value = "Maria"
            mydata.txt2.value = "Müller"
            mydata.txt3.value = "Lorem ipsum"
            mydata.isInitialized = true
        }


    }

    override fun onSupportNavigateUp(): Boolean {
        Log.i("xxx", "onSupportNavigateUp in MainActivity")
        val navController = this.findNavController(R.id.fragHost)
        return navController.navigateUp()
    }

}


