package info.kofler.currencyconverter

import android.icu.text.DateFormat
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.lifecycle.ViewModelProvider
import info.kofler.currencyconverter.databinding.FragmentAboutBinding
import kotlinx.coroutines.*

class AboutFragment : Fragment(), CoroutineScope by MainScope() {

    private var _binding: FragmentAboutBinding? = null
    // This property is only valid between onCreateView and
    // onDestroyView.
    private val binding get() = _binding!!

    override fun onDestroy() {
        super.onDestroy()
        cancel()  // Jobs im CoroutineScope
    }

    override fun onCreateView(inflater: LayoutInflater,
                              container: ViewGroup?,
                              savedInstanceState: Bundle?): View?
    {
        // Fragment-Inhalt, Shared Data, Date Formatter
        _binding = FragmentAboutBinding.inflate(inflater, container, false)
        val cc = ViewModelProvider(requireActivity())
            .get(CurrencyCalculator::class.java)
        val df = DateFormat.getDateInstance(DateFormat.MEDIUM)

        binding.txtDate.text = "Kurse der EZB vom " +
                df.format(cc.lastupdate)

        // Button, um Kurse neu zu laden
        binding.btnRefresh.setOnClickListener {

            // launch bezieht sich auf den CoroutineContext
            // des Fragments
            launch(Dispatchers.IO) {
                if (cc.getEcbRates(requireContext()))
                    launch(Dispatchers.Main) {
                        binding.txtDate.text = "Kurse aktualisiert " +
                                df.format(cc.lastupdate)
                    }
            }
        }
        return binding.root
    }
}
