package info.kofler.currencyconverter


import android.app.Activity
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.view.inputmethod.InputMethodManager
import androidx.lifecycle.ViewModelProvider
import androidx.recyclerview.widget.DividerItemDecoration
import androidx.recyclerview.widget.LinearLayoutManager
import info.kofler.currencyconverter.databinding.FragmentSetupBinding

class SetupFragment : Fragment() {
    // layout/fragment_myname.xml -> FragmentMynameBinding usw.
    private var _binding: FragmentSetupBinding? = null
    // This property is only valid between onCreateView and
    // onDestroyView!
    private val binding get() = _binding!!

    override fun onCreateView(inflater: LayoutInflater,
                              container: ViewGroup?, savedInstanceState: Bundle?)
            : View?
    {
        // neues Fragment erzeugen
        _binding = FragmentSetupBinding.inflate(inflater, container, false)

        // Shared Data
        val cc = ViewModelProvider(requireActivity()).get(CurrencyCalculator::class.java)

        // Trennlinie zwischen den Listeneinträgen
        val divider = DividerItemDecoration(requireContext(),
            DividerItemDecoration.VERTICAL )

        // Recycler 1 initialisieren
        binding.recy1.layoutManager = LinearLayoutManager(context)
        binding.recy1.adapter =
            CurrencyAdapter(cc, cc.cur1, requireContext())
        binding.recy1.addItemDecoration(divider)
        val pos1 = cc.currencies.indexOf(cc.cur1.value)
        (binding.recy1.layoutManager as LinearLayoutManager)
            .scrollToPositionWithOffset(pos1, 80)

        // Recycler 2 initialisieren
        binding.recy2.layoutManager = LinearLayoutManager(context)
        binding.recy2.adapter =
            CurrencyAdapter(cc, cc.cur2, requireContext())
        binding.recy2.addItemDecoration(divider)
        val pos2 = cc.currencies.indexOf(cc.cur2.value)
        (binding.recy2.layoutManager as LinearLayoutManager)
            .scrollToPositionWithOffset(pos2, 80)

        // Tastatur ausblenden (falls sichtbar)
        val imm =
            context?.getSystemService(Activity.INPUT_METHOD_SERVICE)
                    as InputMethodManager?
        val focusedView = activity?.currentFocus
        imm?.hideSoftInputFromWindow(focusedView?.windowToken, 0)

        return binding.root
    }


}
